Bug 1421686 - [abrt] ibus-libpinyin: pinyin::contains_incomplete_pinyin(): ibus-engine-libpinyin killed by SIGABRT
Summary: [abrt] ibus-libpinyin: pinyin::contains_incomplete_pinyin(): ibus-engine-libp...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66091af0d310b60ac38ab4779f5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-13 12:56 UTC by Chen_Min_Chin
Modified: 2018-10-11 07:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-11 07:32:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.28 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (9.14 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: dso_list (3.14 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: environ (1.79 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: maps (14.21 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (4.36 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: open_fds (1.06 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-13 12:56 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2017-02-13 12:56:06 UTC
Version-Release number of selected component:
ibus-libpinyin-1.8.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin::contains_incomplete_pinyin
executable:     /usr/libexec/ibus-engine-libpinyin
global_pid:     2595
kernel:         4.9.8-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pinyin::contains_incomplete_pinyin at pinyin_phrase3.h:152
 #5 pinyin::ChewingLargeTable2::search at chewing_large_table2.cpp:161
 #6 pinyin::FacadeChewingTable2::search at facade_chewing_table2.h:122
 #7 pinyin::search_matrix_recur at phonetic_key_matrix.cpp:373
 #10 pinyin::search_matrix at phonetic_key_matrix.cpp:429
 #11 pinyin::PinyinLookup2::get_best_match at pinyin_lookup2.cpp:288
 #12 PY::BopomofoEditor::insert at PYPBopomofoEditor.cc:73
 #13 PY::BopomofoEditor::processBopomofo at PYPBopomofoEditor.cc:184
 #14 PY::BopomofoEditor::processKeyEvent at PYPBopomofoEditor.cc:206
 #15 PY::BopomofoEngine::processKeyEvent at PYPBopomofoEngine.cc:153

Comment 1 Chen_Min_Chin 2017-02-13 12:56:13 UTC
Created attachment 1249818 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2017-02-13 12:56:14 UTC
Created attachment 1249819 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2017-02-13 12:56:16 UTC
Created attachment 1249820 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2017-02-13 12:56:18 UTC
Created attachment 1249821 [details]
File: dso_list

Comment 5 Chen_Min_Chin 2017-02-13 12:56:19 UTC
Created attachment 1249822 [details]
File: environ

Comment 6 Chen_Min_Chin 2017-02-13 12:56:20 UTC
Created attachment 1249823 [details]
File: limits

Comment 7 Chen_Min_Chin 2017-02-13 12:56:22 UTC
Created attachment 1249824 [details]
File: maps

Comment 8 Chen_Min_Chin 2017-02-13 12:56:24 UTC
Created attachment 1249825 [details]
File: mountinfo

Comment 9 Chen_Min_Chin 2017-02-13 12:56:25 UTC
Created attachment 1249826 [details]
File: namespaces

Comment 10 Chen_Min_Chin 2017-02-13 12:56:27 UTC
Created attachment 1249827 [details]
File: open_fds

Comment 11 Chen_Min_Chin 2017-02-13 12:56:28 UTC
Created attachment 1249828 [details]
File: proc_pid_status

Comment 12 Chen_Min_Chin 2017-02-13 12:56:30 UTC
Created attachment 1249829 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:45:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Peng Wu 2018-10-11 07:32:03 UTC
ibus-libpinyin 1.10.91 released, close bug.


Note You need to log in before you can comment on or make changes to this bug.